---
updatedAt: 2026-05-19T16:20:43.000Z
agentTools:
  projectIndex: https://docs.gtm.ai/llms.txt
---

# Enrich Companies

The Enrich Companies endpoint can be used to retrieve detailed information about up to 25 individual company records. 
Best practice is to first use [Search Companies](ref:searchinterface_searchcompany) to identify the records 
you want to enrich, and then use the Company IDs as the input to specify the correct records. If your workflow does not 
support a two stage retrieval using both Search and Enrich endpoints, you can query the Company Enrich endpoint with more 
extensive input information and our system will provide the best match available to the input. The more details you provide 
the more likely we are to provide the correct match. 

Once you have indicated which records you want to enrich, you must then select which fields you want to return for the 
records using the `outputFields` list. For more details about all of the available output fields you can select, please 
use the [Lookup Enrich](ref:lookupenrichinterface_lookupenrich) endpoint (`filter[entity]=company` and `filter[fieldType]=output`). 
This will provide a description of each available field, as well as whether or not your account has access to this field. 
If you do not have access to a field that you need, please contact your ZoomInfo Account Manager for purchasing options. 

This endpoint also supports resolving a visitor's IPv4 address directly to the associated company — commonly used for 
identifying the companies behind website traffic. To use this path, submit `ipAddress` as the sole input for that record; 
if other company attributes (such as `companyName` or `companyWebsite`) are included, the request is matched using those 
attributes instead.

Each record returned by this endpoint will charge a credit from your account, unless that record is already under management 
(see [Credit Usage and Limits Guide](doc:credit-usage-and-limits) for more details). If we fail to find the record and return 
“No match” or if we return an error code a credit will not be charged.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Data API V1",
    "version": "1.0",
    "contact": {
      "name": "ZoomInfo Customer Support",
      "email": "help@zoominfo.com"
    },
    "description": "The Data API"
  },
  "tags": [
    {
      "name": "Enrich"
    }
  ],
  "paths": {
    "/data/v1/companies/enrich": {
      "post": {
        "operationId": "EnrichInterface_enrichCompany",
        "summary": "Enrich Companies",
        "description": "The Enrich Companies endpoint can be used to retrieve detailed information about up to 25 individual company records. \nBest practice is to first use [Search Companies](https://docs.gtm.ai/zoominfoenterprise/reference/searchinterface_searchcompany) to identify the records \nyou want to enrich, and then use the Company IDs as the input to specify the correct records. If your workflow does not \nsupport a two stage retrieval using both Search and Enrich endpoints, you can query the Company Enrich endpoint with more \nextensive input information and our system will provide the best match available to the input. The more details you provide \nthe more likely we are to provide the correct match. \n\nOnce you have indicated which records you want to enrich, you must then select which fields you want to return for the \nrecords using the `outputFields` list. For more details about all of the available output fields you can select, please \nuse the [Lookup Enrich](https://docs.gtm.ai/zoominfoenterprise/reference/lookupenrichinterface_lookupenrich) endpoint (`filter[entity]=company` and `filter[fieldType]=output`). \nThis will provide a description of each available field, as well as whether or not your account has access to this field. \nIf you do not have access to a field that you need, please contact your ZoomInfo Account Manager for purchasing options. \n\nThis endpoint also supports resolving a visitor's IPv4 address directly to the associated company — commonly used for \nidentifying the companies behind website traffic. To use this path, submit `ipAddress` as the sole input for that record; \nif other company attributes (such as `companyName` or `companyWebsite`) are included, the request is matched using those \nattributes instead.\n\nEach record returned by this endpoint will charge a credit from your account, unless that record is already under management \n(see [Credit Usage and Limits Guide](https://docs.gtm.ai/zoominfoenterprise/docs/credit-usage-and-limits) for more details). If we fail to find the record and return \n“No match” or if we return an error code a credit will not be charged.",
        "parameters": [],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/CompanyEnrichResponse"
                },
                "examples": {
                  "Enrich Company Data by Website Using Multiple Output Fields for a Full Match": {
                    "summary": "Enrich Company Data by Website Using Multiple Output Fields for a Full Match",
                    "description": "This example demonstrates how to enrich company data using a companyWebsite input and specifying a list of outputFields for the API to return. The response includes the number of matching records. You can include up to 25 company inputs in a single enrich request.",
                    "value": {
                      "data": [
                        {
                          "attributes": {
                            "name": "ZoomInfo",
                            "socialMediaUrls": [
                              {
                                "followerCount": "128080",
                                "type": "LINKED_IN",
                                "url": "http://www.linkedin.com/company/zoominfo"
                              },
                              {
                                "followerCount": "14413",
                                "type": "TWITTER",
                                "url": "http://www.twitter.com/zoominfo"
                              },
                              {
                                "type": "FACEBOOK",
                                "url": "http://www.facebook.com/109325735758217"
                              }
                            ],
                            "ticker": "NASDAQ: GTM",
                            "website": "www.zoominfo.com"
                          },
                          "id": "344589814",
                          "meta": {
                            "input": {
                              "companyWebsite": "www.zoominfo.com"
                            },
                            "matchStatus": "FULL_MATCH"
                          },
                          "type": "Company"
                        }
                      ]
                    }
                  },
                  "Enrich Company Data Using Multiple Inputs and Output Fields for a Full Match": {
                    "summary": "Enrich Company Data Using Multiple Inputs and Output Fields for a Full Match",
                    "description": "This example demonstrates how to enrich multiple companies by providing company details such as companyId and set of outputFields is specified to retrieve detailed company attributes, including website, revenue, social media presence, employee range, parent company details, and more. The response returns enriched data for each matched company. Up to 25 companies can be included in a single enrich request.",
                    "value": {
                      "data": [
                        {
                          "attributes": {
                            "certified": true,
                            "companyStatus": "ALIVE",
                            "continent": "North America",
                            "country": "United States",
                            "employeeRange": "1,000 - 5,000",
                            "foundedYear": "2000",
                            "locationCount": 18,
                            "name": "ZoomInfo",
                            "numberOfContactsInZoomInfo": 4336,
                            "parentId": 0,
                            "revenue": 245188088,
                            "socialMediaUrls": [
                              {
                                "followerCount": "128080",
                                "type": "LINKED_IN",
                                "url": "http://www.linkedin.com/company/zoominfo"
                              },
                              {
                                "followerCount": "14413",
                                "type": "TWITTER",
                                "url": "http://www.twitter.com/zoominfo"
                              },
                              {
                                "type": "FACEBOOK",
                                "url": "http://www.facebook.com/109325735758217"
                              }
                            ],
                            "ticker": "NASDAQ: GTM",
                            "website": "www.zoominfo.com"
                          },
                          "id": "344589814",
                          "meta": {
                            "input": {
                              "companyId": 344589814
                            },
                            "matchStatus": "FULL_MATCH"
                          },
                          "type": "Company"
                        },
                        {
                          "attributes": {
                            "certified": true,
                            "companyStatus": "ALIVE",
                            "continent": "North America",
                            "country": "United States",
                            "employeeRange": "50 -100",
                            "foundedYear": "2015",
                            "locationCount": 2,
                            "name": "Comparably",
                            "numberOfContactsInZoomInfo": 55,
                            "parentId": 344589814,
                            "parentName": "ZoomInfo Technologies LLC",
                            "revenue": 11615,
                            "socialMediaUrls": [
                              {
                                "followerCount": "19537",
                                "type": "TWITTER",
                                "url": "http://www.twitter.com/comparably"
                              },
                              {
                                "followerCount": "14413",
                                "type": "LINKED_IN",
                                "url": "http://www.linkedin.com/company/comparably"
                              },
                              {
                                "followerCount": "6436",
                                "type": "FACEBOOK",
                                "url": "http://www.facebook.com/comparably"
                              }
                            ],
                            "website": "www.comparably.com"
                          },
                          "id": "344589814",
                          "meta": {
                            "input": {
                              "companyId": 344589814
                            },
                            "matchStatus": "FULL_MATCH"
                          },
                          "type": "Company"
                        }
                      ]
                    }
                  },
                  "Enrich Company Data by Website Using Multiple Output Fields resulting no Match": {
                    "summary": "Enrich Company Data by Website Using Multiple Output Fields resulting no Match",
                    "description": "This example demonstrates how to enrich company data using a companyWebsite input and specifying a list of outputFields for the API to return. The response is a no match response for the company criteria requested.",
                    "value": {
                      "data": [
                        {
                          "id": "0",
                          "meta": {
                            "input": {
                              "companyWebsite": "www.no-company.com"
                            },
                            "matchStatus": "NO_MATCH"
                          },
                          "type": "NoMatch"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          }
        },
        "tags": [
          "Enrich"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/vnd.api+json": {
              "schema": {
                "$ref": "#/components/schemas/CompanyEnrichRequest"
              },
              "examples": {
                "Enrich Company Data by Website Using Multiple Output Fields for a Full Match": {
                  "summary": "Enrich Company Data by Website Using Multiple Output Fields for a Full Match",
                  "description": "This example demonstrates how to enrich company data using a companyWebsite input and specifying a list of outputFields for the API to return. The response includes the number of matching records. You can include up to 25 company inputs in a single enrich request.",
                  "value": {
                    "data": {
                      "attributes": {
                        "matchCompanyInput": [
                          {
                            "companyWebsite": "www.zoominfo.com"
                          }
                        ],
                        "outputFields": [
                          "id",
                          "ticker",
                          "name",
                          "website",
                          "socialMediaUrls"
                        ]
                      },
                      "type": "CompanyEnrich"
                    }
                  }
                },
                "Enrich Company Data Using Multiple Inputs and Output Fields for a Full Match": {
                  "summary": "Enrich Company Data Using Multiple Inputs and Output Fields for a Full Match",
                  "description": "This example demonstrates how to enrich multiple companies by providing company details such as companyId and set of outputFields is specified to retrieve detailed company attributes, including website, revenue, social media presence, employee range, parent company details, and more. The response returns enriched data for each matched company. Up to 25 companies can be included in a single enrich request.",
                  "value": {
                    "data": {
                      "attributes": {
                        "matchCompanyInput": [
                          {
                            "companyId": 344589814
                          },
                          {
                            "companyId": 344589814
                          }
                        ],
                        "outputFields": [
                          "id",
                          "ticker",
                          "name",
                          "website",
                          "socialMediaUrls",
                          "revenue",
                          "numberOfContactsInZoomInfo",
                          "country",
                          "continent",
                          "companyStatus",
                          "alexaRank",
                          "hashtags",
                          "certified",
                          "employeeRange",
                          "employeeRange",
                          "employeeGrowth",
                          "parentId",
                          "parentName",
                          "locationCount",
                          "foundedYear"
                        ]
                      },
                      "type": "CompanyEnrich"
                    }
                  }
                },
                "Enrich Company Data by Website Using Multiple Output Fields resulting no Match": {
                  "summary": "Enrich Company Data by Website Using Multiple Output Fields resulting no Match",
                  "description": "This example demonstrates how to enrich company data using a companyWebsite input and specifying a list of outputFields for the API to return. The response is a no match response for the company criteria requested.",
                  "value": {
                    "data": {
                      "attributes": {
                        "matchCompanyInput": [
                          {
                            "companyWebsite": "www.no-company.com"
                          }
                        ],
                        "outputFields": [
                          "id",
                          "ticker",
                          "name",
                          "website",
                          "socialMediaUrls"
                        ]
                      },
                      "type": "CompanyEnrich"
                    }
                  }
                }
              }
            }
          },
          "description": "The request body containing company enrich criteria."
        },
        "security": [
          {
            "OAuth2Auth": [
              "api:data:company"
            ]
          }
        ],
        "x-additional-content-types": [
          "application/json"
        ],
        "x-api-roles": [
          "fea:zia",
          "fea:api"
        ],
        "x-api-role-requirement": "ANY_REQUIRED"
      }
    }
  },
  "security": [
    {
      "OAuth2Auth": []
    }
  ],
  "components": {
    "schemas": {
      "ZoomInfo.Core.Foundations.ErrorSourceModel": {
        "type": "object",
        "properties": {
          "cookie": {
            "type": "string",
            "description": "Identifies the cookie name that caused the issue"
          },
          "header": {
            "type": "string",
            "description": "Identifies the header name that caused the error"
          },
          "pointer": {
            "type": "string",
            "description": "An RFC 6901 compliant JSON pointer to the entity in the request body that caused the error"
          },
          "parameter": {
            "type": "string",
            "description": "The name of the path or query parameter that caused the error"
          }
        }
      },
      "ZoomInfo.Core.Foundations.ErrorModel": {
        "type": "object",
        "required": [
          "id",
          "code",
          "status"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique id used to identify this specific error instance"
          },
          "code": {
            "type": "string",
            "description": "The error code describing the error category. A full list of error codes can be found in the documentation for each service"
          },
          "detail": {
            "type": "string",
            "description": "Message containing the specific details about this occurrence of the error"
          },
          "source": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorSourceModel"
              }
            ],
            "description": "An optional object identifying which part of the request caused the error"
          },
          "status": {
            "type": "string",
            "description": "The HTTP status code for the error"
          },
          "title": {
            "type": "string",
            "description": "The error name that describes this type of error"
          }
        },
        "description": "The object describing a specific error from the API"
      },
      "ZoomInfo.Core.Foundations.ErrorResponseModel": {
        "type": "object",
        "required": [
          "errors"
        ],
        "properties": {
          "detail": {
            "type": "string",
            "description": "A high-level detail of the error(s) that occurred during the request"
          },
          "title": {
            "type": "string",
            "description": "A high-level summary of the error(s) detected"
          },
          "errors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorModel"
            },
            "description": "The list of errors raised during the request"
          }
        },
        "description": "The standard error response body model for the ZoomInfo API."
      },
      "Engagement": {
        "type": "object",
        "properties": {
          "engagementDate": {
            "type": "string",
            "format": "date-time",
            "description": "Date of engagement."
          },
          "engagementType": {
            "type": "string",
            "description": "Type of engagement."
          }
        },
        "description": "Engagement details."
      },
      "SocialMediaUrl": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "Type of social media account. Supported types are Facebook, Twitter (X.com), LinkedIn)."
          },
          "url": {
            "type": "string",
            "description": "URL for the social media account."
          },
          "followerCount": {
            "type": "string",
            "description": "Number of followers for the social media account."
          }
        },
        "description": "Social media information for the company."
      },
      "PrimaryIndustryCode": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique identifier for the industry code."
          },
          "name": {
            "type": "string",
            "description": "Name of the industry code."
          }
        },
        "description": "Top-level industry for a company along with its code."
      },
      "PrimarySubIndustryCode": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique identifier for the sub-industry code."
          },
          "name": {
            "type": "string",
            "description": "Name of the sub-industry code."
          }
        },
        "description": "Top-level sub-industry for a company along with its code."
      },
      "IndustryCode": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique identifier for the industry code."
          },
          "name": {
            "type": "string",
            "description": "Name of the industry code."
          }
        },
        "description": "The industry grouping for the company along with it's codes. A company can have multiple industries."
      },
      "SicCode": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique identifier for the SIC code."
          },
          "name": {
            "type": "string",
            "description": "Name of the SIC code."
          }
        },
        "description": "The Standard Industrial Classification is a system for classifying industries by a four-digit code."
      },
      "NaicsCode": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique identifier for the NAICS code."
          },
          "name": {
            "type": "string",
            "description": "Name of the NAICS code."
          }
        },
        "description": "The North American Industry Classification System (NAICS) is the standard used by Federal statistical agencies in classifying business establishments for the purpose of collecting, analyzing, and publishing statistical data related to the U.S. business economy."
      },
      "EmployeeGrowthDataPoint": {
        "type": "object",
        "properties": {
          "label": {
            "type": "string",
            "description": "Label for the data point (e.g., '21 - Q1')."
          },
          "employeeCount": {
            "type": "integer",
            "format": "int64",
            "description": "Total employee count for the data point."
          }
        },
        "description": "Quarter-by-quarter breakdown of total employee count."
      },
      "EmployeeGrowth": {
        "type": "object",
        "properties": {
          "oneYearGrowthRate": {
            "type": "string",
            "description": "One-year growth rate."
          },
          "twoYearGrowthRate": {
            "type": "string",
            "description": "Two-year growth rate."
          },
          "employeeGrowthDataPoints": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/EmployeeGrowthDataPoint"
            },
            "description": "Quarter-by-quarter breakdown of total employee count."
          }
        },
        "description": "Employee growth of the company in the past two years. A one- and two-year growth percentage is provided as well as a quarter-by-quarter breakdown of total employee count."
      },
      "Warning": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Warning code."
          },
          "message": {
            "type": "string",
            "description": "Warning message."
          },
          "fields": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Fields associated with the warning."
          }
        },
        "description": "Warning details for validation issues."
      },
      "CompanyStatus": {
        "type": "string",
        "enum": [
          "NEW",
          "ALIVE",
          "DEFUNCT_DOMAIN_DOWN",
          "DEFUNCT_DECLARATION",
          "DEFUNCT_MANUAL",
          "DEFUNCT_FORMER_NAME",
          "DEFUNCT_ACQUISITION"
        ],
        "description": "Represents the current status of the company"
      },
      "Competitor": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "description": "Unique ZoomInfo identifier for the competitor."
          },
          "name": {
            "type": "string",
            "description": "Name of the competitor."
          },
          "rank": {
            "type": "integer",
            "format": "int32",
            "description": "Ranking of the competitor."
          },
          "website": {
            "type": "string",
            "description": "Website of the competitor."
          },
          "employeeCount": {
            "type": "integer",
            "format": "int32",
            "description": "EmployeeCount of the competitor."
          }
        },
        "description": "Competitor details."
      },
      "Address": {
        "type": "object",
        "properties": {
          "street": {
            "type": "string",
            "description": "Street portion of the company's location."
          },
          "city": {
            "type": "string",
            "description": "City of the company's primary address."
          },
          "state": {
            "type": "string",
            "description": "State or province of the company's address."
          },
          "country": {
            "type": "string",
            "description": "Country of the company's primary address."
          },
          "zipCode": {
            "type": "string",
            "description": "Zip code or postal code of the company's address."
          }
        },
        "description": "Address details for the company's location."
      },
      "LocationMatch": {
        "type": "object",
        "properties": {
          "companyId": {
            "type": "integer",
            "format": "int64",
            "description": "Unique ZoomInfo identifier for the company."
          },
          "address": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Address"
              }
            ],
            "description": "Address details for the company's location."
          },
          "addressStatus": {
            "type": "string",
            "description": "Address status for the location (CURRENT, VALID, PAST)."
          }
        },
        "description": "Location details that match address-related input parameters. Includes companyId, address, and addressStatus (CURRENT, VALID, PAST)."
      },
      "CompanyFunding": {
        "type": "object",
        "properties": {
          "date": {
            "type": "string",
            "description": "Date of funding round."
          },
          "type": {
            "type": "string",
            "description": "Type of funding round."
          },
          "amount": {
            "type": "integer",
            "format": "int64",
            "description": "Amount of funding round."
          },
          "investors": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Investors in funding round."
          }
        },
        "description": "Company funding details."
      },
      "DepartmentBudget": {
        "type": "object",
        "properties": {
          "marketingBudget": {
            "type": "integer",
            "format": "int32",
            "description": "Marketing budget."
          },
          "financialBudget": {
            "type": "integer",
            "format": "int32",
            "description": "Finance budget."
          },
          "itBudget": {
            "type": "integer",
            "format": "int32",
            "description": "IT budget."
          },
          "hrBudget": {
            "type": "integer",
            "format": "int32",
            "description": "HR budget."
          }
        },
        "description": "Department budget details."
      },
      "EmployeeCountByDepartment": {
        "type": "object",
        "properties": {
          "cSuite": {
            "type": "integer",
            "format": "int32",
            "description": "CSuite."
          },
          "finance": {
            "type": "integer",
            "format": "int32",
            "description": "Finance."
          },
          "humanResources": {
            "type": "integer",
            "format": "int32",
            "description": "HumanResources."
          },
          "sales": {
            "type": "integer",
            "format": "int32",
            "description": "Sales."
          },
          "operations": {
            "type": "integer",
            "format": "int32",
            "description": "Operations."
          },
          "informationTechnology": {
            "type": "integer",
            "format": "int32",
            "description": "InformationTechnology."
          },
          "engineeringAndTechnical": {
            "type": "integer",
            "format": "int32",
            "description": "EngineeringAndTechnical."
          },
          "marketing": {
            "type": "integer",
            "format": "int32",
            "description": "Marketing."
          },
          "legal": {
            "type": "integer",
            "format": "int32",
            "description": "Legal."
          },
          "medicalAndHealth": {
            "type": "integer",
            "format": "int32",
            "description": "MedicalAndHealth."
          }
        },
        "description": "Employee count by department."
      },
      "CompanyEnrichResponseAttributes": {
        "type": "object",
        "properties": {
          "socialMediaUrls": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/SocialMediaUrl"
            },
            "description": "Social media URLs for the company (e.g., Facebook, Twitter, LinkedIn and so on)."
          },
          "primaryIndustry": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Top-level industry for a company."
          },
          "primaryIndustryCode": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/PrimaryIndustryCode"
            },
            "description": "Top-level industry for a company along with its code."
          },
          "primarySubIndustryCode": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/PrimarySubIndustryCode"
            },
            "description": "Top-level sub-industry for a company along with its code."
          },
          "industries": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "The industry grouping for the company. A company can have multiple industries."
          },
          "industryCodes": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/IndustryCode"
            },
            "description": "The industry grouping for the company along with it's codes. A company can have multiple industries."
          },
          "website": {
            "type": "string",
            "description": "Company website."
          },
          "type": {
            "type": "string",
            "description": "Company type (private, public, npo, education, government, other)."
          },
          "ticker": {
            "type": "string",
            "description": "Company public stock exchange ticker."
          },
          "name": {
            "type": "string",
            "description": "Company name."
          },
          "description": {
            "type": "string",
            "description": "Description associated with the company."
          },
          "phone": {
            "type": "string",
            "description": "Company phone number."
          },
          "fax": {
            "type": "string",
            "description": "Fax number of the company headquarters."
          },
          "street": {
            "type": "string",
            "description": "Street portion of the company's primary address."
          },
          "city": {
            "type": "string",
            "description": "City of the company's primary address."
          },
          "state": {
            "type": "string",
            "description": "State or province of the company's primary address."
          },
          "zipCode": {
            "type": "string",
            "description": "Zip code or postal code of the company's primary address."
          },
          "country": {
            "type": "string",
            "description": "Country of the company's primary address."
          },
          "continent": {
            "type": "string",
            "description": "Continent of the company's primary address."
          },
          "logo": {
            "type": "string",
            "description": "The URL which can be used to retrieve the logo for the company."
          },
          "alternateLogos": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "List of alternate logos for the company."
          },
          "employeeCount": {
            "type": "integer",
            "format": "int32",
            "description": "Employee count of the company."
          },
          "sicCodes": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/SicCode"
            },
            "description": "The Standard Industrial Classification is a system for classifying industries by a four-digit numerical code assigned by the U.S. government to business establishments to identify the primary business of the establishment."
          },
          "naicsCodes": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/NaicsCode"
            },
            "description": "Four-digit numerical codes assigned by the U.S. government to business establishments to identify the primary business of the establishment."
          },
          "employeeRange": {
            "type": "string",
            "description": "Employee range at the company."
          },
          "employeeGrowth": {
            "allOf": [
              {
                "$ref": "#/components/schemas/EmployeeGrowth"
              }
            ],
            "description": "Employee growth rate at the company."
          },
          "revenueRange": {
            "type": "string",
            "description": "Revenue range for a company."
          },
          "domainList": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "List of domains associated with a company."
          },
          "revenue": {
            "type": "integer",
            "format": "int64",
            "description": "Approximate yearly revenue for the company in 1000's. For example, a $100M company is expressed as 100000."
          },
          "numberOfContactsInZoomInfo": {
            "type": "integer",
            "format": "int32",
            "description": "Number of ZoomInfo contacts associated with company."
          },
          "companyStatus": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CompanyStatus"
              }
            ],
            "description": "Company status."
          },
          "companyStatusDate": {
            "type": "string",
            "format": "date-time",
            "description": "Date of last company status update."
          },
          "competitors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Competitor"
            },
            "description": "List of competitors."
          },
          "ultimateParentId": {
            "type": "integer",
            "format": "int64",
            "description": "Unique ZoomInfo identifier for ultimate parent company (if exists)."
          },
          "ultimateParentName": {
            "type": "string",
            "description": "Company name for ultimate parent company (if exists)."
          },
          "ultimateParentRevenue": {
            "type": "integer",
            "format": "int32",
            "description": "Approximate yearly revenue for the ultimate parent company."
          },
          "ultimateParentEmployees": {
            "type": "integer",
            "format": "int32",
            "description": "Approximate number of people employed by the ultimate parent company."
          },
          "subUnitType": {
            "type": "string",
            "description": "Company sub unit types (e.g., division, subsidiary, etc.)."
          },
          "subUnitIndustries": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Company sub unit industries."
          },
          "parentId": {
            "type": "integer",
            "format": "int64",
            "description": "Unique ZoomInfo identifier associated with the parent company."
          },
          "parentName": {
            "type": "string",
            "description": "Company name associated with the parent company."
          },
          "locationCount": {
            "type": "integer",
            "format": "int32",
            "description": "Number of office locations associated with a company."
          },
          "locationMatch": {
            "allOf": [
              {
                "$ref": "#/components/schemas/LocationMatch"
              }
            ],
            "description": "Location details that match address-related input parameters. Includes companyId, address, and addressStatus (CURRENT, VALID, PAST)."
          },
          "metroArea": {
            "type": "string",
            "description": "Company metro area."
          },
          "lastUpdatedDate": {
            "type": "string",
            "format": "date-time",
            "description": "Date on which the company record was last updated."
          },
          "createdDate": {
            "type": "string",
            "format": "date-time",
            "description": "Date on which the company record was created."
          },
          "certificationDate": {
            "type": "string",
            "format": "date-time",
            "description": "Date of certification."
          },
          "certified": {
            "type": "boolean",
            "description": "Denotes if ZoomInfo's research and data team has confirmed activity within the past 12 months."
          },
          "products": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "List of products associated with a company."
          },
          "companyFunding": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/CompanyFunding"
            },
            "description": "List of funding rounds including date, type , investors, and amount."
          },
          "recentFundingAmount": {
            "type": "integer",
            "format": "int32",
            "description": "Most recent funding amount."
          },
          "recentFundingDate": {
            "type": "string",
            "format": "date-time",
            "description": "Date of most recent funding."
          },
          "totalFundingAmount": {
            "type": "integer",
            "format": "int32",
            "description": "Total funding to date."
          },
          "foundedYear": {
            "type": "string",
            "description": "Year the company was founded."
          },
          "businessModel": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Business model for a company."
          },
          "isDefunct": {
            "type": "boolean",
            "description": "Indicates whether the company still exists."
          },
          "departmentBudgets": {
            "allOf": [
              {
                "$ref": "#/components/schemas/DepartmentBudget"
              }
            ],
            "description": "Estimated department budgets. Returns estimated budget values including marketingBudget, financeBudget, itBudget and hrBudget."
          },
          "employeeCountByDepartment": {
            "allOf": [
              {
                "$ref": "#/components/schemas/EmployeeCountByDepartment"
              }
            ],
            "description": "Employee count by company department."
          },
          "engagements": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Engagement"
            },
            "description": "List of the company's engagements. Includes the date and type of each engagement."
          }
        },
        "description": "Company enrich response attributes.",
        "x-class-extra-annotation": "@com.fasterxml.jackson.annotation.JsonIgnoreProperties(ignoreUnknown = true)"
      },
      "CompanyMatchStatus": {
        "type": "string",
        "enum": [
          "FULL_MATCH",
          "NO_MATCH",
          "LIMIT_EXCEEDED",
          "INVALID_INPUT"
        ],
        "x-enumDescriptions": {
          "FULL_MATCH": "Match status indicating a full match with all criteria met.",
          "NO_MATCH": "Match status indicating no match found.",
          "LIMIT_EXCEEDED": "Match status indicating the enrich request credit limit has been exceeded.",
          "INPUT_ERROR": "Match status indicating an error with the input data."
        }
      },
      "CompanyEnrichRequestCriteria": {
        "type": "object",
        "properties": {
          "companyId": {
            "type": "integer",
            "format": "int64",
            "description": "Unique ZoomInfo identifier for a company."
          },
          "companyName": {
            "type": "string",
            "maxLength": 500,
            "description": "Company name."
          },
          "companyWebsite": {
            "type": "string",
            "maxLength": 500,
            "description": "Company website URL in http://www.example.com format. Accepts a comma-separated list."
          },
          "companyTicker": {
            "type": "string",
            "maxLength": 500,
            "description": "Company stock ticker symbol."
          },
          "companyPhone": {
            "type": "string",
            "maxLength": 500,
            "description": "Phone number of the company headquarters."
          },
          "companyFax": {
            "type": "string",
            "maxLength": 500,
            "description": "Fax number of the company headquarters."
          },
          "companyStreet": {
            "type": "string",
            "maxLength": 500,
            "description": "Street portion of the company's primary address."
          },
          "companyCity": {
            "type": "string",
            "maxLength": 500,
            "description": "City portion of the company's primary address."
          },
          "companyState": {
            "type": "string",
            "maxLength": 500,
            "description": "Company state (U.S.) or province (Canada). You can use free text state or province names (e.g., 'new hampshire'), or the two-letter common abbreviation for a U.S. state (e.g., 'nh')."
          },
          "companyZipCode": {
            "type": "string",
            "maxLength": 500,
            "description": "Zip code or postal code of the company's primary address. May only contain letters, numbers, whitespace, and the special characters `,-`."
          },
          "companyCountry": {
            "type": "string",
            "maxLength": 500,
            "description": "Country of the company's primary address. You can use free text or see the Country lookup endpoint for values."
          },
          "ipAddress": {
            "type": "string",
            "maxLength": 500,
            "description": "IP address associated with the company. Only IPv4 addresses are supported."
          }
        },
        "description": "Company enrich request criteria."
      },
      "CompanyAttributeMeta": {
        "type": "object",
        "required": [
          "matchStatus",
          "input"
        ],
        "properties": {
          "matchStatus": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CompanyMatchStatus"
              }
            ],
            "description": "The match status for the company enrich operation, indicating whether a match was found and the type of match."
          },
          "input": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CompanyEnrichRequestCriteria"
              }
            ],
            "description": "The input criteria that was used to perform the company enrich match. This provides traceability for the match result."
          },
          "warnings": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Warning"
            },
            "description": "Details about any warnings encountered during the validation of the enrich request input criteria."
          }
        },
        "description": "Metadata describing the result of a company enrich match, including the match status and the input criteria used for the match. Used to provide additional context about how the company enrich response was determined."
      },
      "EnrichCompany": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "Company",
            "pattern": "Company"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CompanyEnrichResponseAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          },
          "meta": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CompanyAttributeMeta"
              }
            ],
            "description": "Non-standard meta information about the resource"
          }
        },
        "description": "A matching company was identified from the provided input data. This result will always be a FULL_MATCH (where the company information matched). The match status can be found within the meta object for reference."
      },
      "NoMatchCompany": {
        "type": "object",
        "required": [
          "id",
          "type"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier of the resource"
          },
          "type": {
            "type": "string",
            "description": "The type identifier of the resource",
            "default": "NoMatch",
            "pattern": "NoMatch"
          },
          "meta": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CompanyAttributeMeta"
              }
            ],
            "description": "Non-standard meta information about the resource"
          }
        },
        "description": "There was not a matching company found for the provided input or is been filtered out because of match statue - LIMIT_EXCEEDED (User credit limit has been exceeded). Exact details can be found within the meta object including the match status and other accompanying metadata."
      },
      "CompanyEnrichResponseResourceUnion": {
        "type": "object",
        "oneOf": [
          {
            "$ref": "#/components/schemas/EnrichCompany"
          },
          {
            "$ref": "#/components/schemas/NoMatchCompany"
          }
        ],
        "discriminator": {
          "propertyName": "type",
          "mapping": {
            "Company": "#/components/schemas/EnrichCompany",
            "NoMatch": "#/components/schemas/NoMatchCompany"
          }
        },
        "description": "Represents the possible resource types returned in a company enrich response, including both a successful company match and a no-match result. Used to encapsulate the response resource for company enrichment."
      },
      "CompanyEnrichResponse": {
        "type": "object",
        "required": [
          "data"
        ],
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/CompanyEnrichResponseResourceUnion"
            },
            "description": "The primary data of the document"
          }
        },
        "description": "Company enrich response."
      },
      "CompanyEnrichRequestAttributes": {
        "type": "object",
        "required": [
          "outputFields",
          "matchCompanyInput"
        ],
        "properties": {
          "outputFields": {
            "type": "array",
            "items": {
              "type": "string",
              "enum": [
                "alternateLogos",
                "businessModel",
                "certificationDate",
                "certified",
                "city",
                "companyFunding",
                "companyStatus",
                "companyStatusDate",
                "competitors",
                "continent",
                "country",
                "createdDate",
                "departmentBudgets",
                "description",
                "domainList",
                "employeeCount",
                "employeeCountByDepartment",
                "employeeGrowth",
                "employeeRange",
                "engagements",
                "fax",
                "foundedYear",
                "id",
                "industries",
                "industryCodes",
                "isDefunct",
                "lastUpdatedDate",
                "locationCount",
                "locationMatch",
                "logo",
                "metroArea",
                "naicsCodes",
                "name",
                "numberOfContactsInZoomInfo",
                "parentId",
                "parentName",
                "phone",
                "primaryIndustry",
                "primaryIndustryCode",
                "primarySubIndustryCode",
                "products",
                "recentFundingAmount",
                "recentFundingDate",
                "revenue",
                "revenueRange",
                "sicCodes",
                "socialMediaUrls",
                "state",
                "street",
                "subUnitIndustries",
                "subUnitType",
                "ticker",
                "totalFundingAmount",
                "type",
                "ultimateParentEmployees",
                "ultimateParentId",
                "ultimateParentName",
                "ultimateParentRevenue",
                "website",
                "zipCode"
              ]
            },
            "description": "List of fields to be returned in the response."
          },
          "matchCompanyInput": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/CompanyEnrichRequestCriteria"
            },
            "minItems": 1,
            "maxItems": 25,
            "description": "List of criteria to match against."
          }
        },
        "description": "Company enrich request attributes."
      },
      "CompanyEnrichRequestResource": {
        "type": "object",
        "required": [
          "type",
          "attributes"
        ],
        "properties": {
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "CompanyEnrich",
            "pattern": "CompanyEnrich"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CompanyEnrichRequestAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Company enrich request resource."
      },
      "CompanyEnrichRequest": {
        "type": "object",
        "required": [
          "data"
        ],
        "properties": {
          "data": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CompanyEnrichRequestResource"
              }
            ],
            "description": "The primary data of the document"
          }
        },
        "description": "Company enrich request."
      }
    },
    "securitySchemes": {
      "OAuth2Auth": {
        "type": "oauth2",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://login.zoominfo.com",
            "tokenUrl": "https://okta-login.zoominfo.com/oauth2/default/v1/token",
            "scopes": {
              "api:data:contact": "Ability to search and enrich ZoomInfo Contact data",
              "api:data:company": "Ability to search and enrich ZoomInfo Company data",
              "api:data:intent": "Ability to search and enrich ZoomInfo Intent data",
              "api:data:news": "Ability to search and enrich ZoomInfo News data",
              "api:data:scoops": "Ability to search and enrich ZoomInfo Scoop data",
              "api:data:lookup": "Lookup ZoomInfo Data"
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api.zoominfo.com/gtm",
      "description": "Base URL for the Data API"
    }
  ]
}
```

# Sibling pages

* [Enrich Contacts](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichcontact.md)
* [Enrich Corporate Hierarchy](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichcorporatehierarchy.md)
* [Enrich Intent](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichintent.md)
* [Enrich News](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichnews.md)
* [Enrich Org Charts](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichorgchart.md)
* [Enrich Scoops](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichscoop.md)
* [Enrich Technologies](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichtechnology.md)
* [Enrich Hashtags](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichhashtag.md)